Bug 478977 - mdadm does not recognize "-N" and "-Y" options
mdadm does not recognize "-N" and "-Y" options
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mdadm (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Doug Ledford
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 05:49 EST by Milos Malik
Modified: 2009-09-02 07:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
mdadm did not recognize the "-N" and "-Y" short options, although it recognized their long equivalents ("--name" and "--export") and they were listed as valid in mdadm --help. Mdadm now recognizes these short options.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:52:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2009-01-06 05:49:18 EST
Description of problem:
mdadm does not recognize "-N" option but it recognizes its long equivalent "--name".
mdadm does not recognize "-Y" option but it recognizes its long equivalent "--export".

Version-Release number of selected component (if applicable):
mdadm-2.6.4-1.el5

How reproducible:
always

Steps to Reproduce:
# mdadm --create --help | grep -- "-N"
  --name=       -N   : Textual name for array - max 32 characters
# mdadm --create --name
mdadm: option `--name' requires an argument
Usage: mdadm --help
  for help
# mdadm --create -N
mdadm: invalid option -- N
Usage: mdadm --help
  for help
# man mdadm | col -b | grep -A 2 -- "-Y"
       -Y, --export
	      When used with --detail, output will be formatted	 as  key=value
	      pairs for easy import into the environment.
# mdadm --misc --export
mdadm: No devices given.
# mdadm --misc -Y
mdadm: invalid option -- Y
Usage: mdadm --help
  for help
  
Actual results:
2 unrecognized short options

Expected results:
mdadm recognizes "-N" and "-Y" options

Additional info:
Comment 3 Ruediger Landmann 2009-05-21 01:52:32 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
mdadm did not recognize the "-N" and "-Y" short options, although it recognized their long equivalents ("--name" and "--export") and they were listed as valid in mdadm --help. Mdadm now recognizes these short options.
Comment 6 errata-xmlrpc 2009-09-02 07:52:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1382.html

Note You need to log in before you can comment on or make changes to this bug.